Vulnerability CVE-2013-7038


Published: 2013-12-13

Description:
The MHD_http_unescape function in libmicrohttpd before 0.9.32 might allow remote attackers to obtain sensitive information or cause a denial of service (crash) via unspecified vectors that trigger an out-of-bounds read.

Type:

CWE-119

(Improper Restriction of Operations within the Bounds of a Memory Buffer)

CVSS2 => (AV:N/AC:L/Au:N/C:P/I:N/A:P)

CVSS Base Score
Impact Subscore
Exploitability Subscore
6.4/10
4.9/10
10/10
Exploit range
Attack complexity
Authentication
Remote
Low
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
Partial
Affected software
GNU -> Libmicrohttpd 

 References:
https://gnunet.org/svn/libmicrohttpd/ChangeLog
https://bugzilla.redhat.com/show_bug.cgi?id=1039384
https://bugs.gentoo.org/show_bug.cgi?id=493450
http://www.securityfocus.com/bid/64138
http://www.openwall.com/lists/oss-security/2013/12/09/11
http://security.gentoo.org/glsa/glsa-201402-01.xml
http://secunia.com/advisories/55903

Copyright 2021, cxsecurity.com

 

Back to Top